Skip to main content
POST
/
chat
/
markMessageAsRead
/
{instance}
Mark Message As Read
curl --request POST \
  --url https://api.zapthinker.com/chat/markMessageAsRead/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "readMessages": [
    {
      "remoteJid": "<string>",
      "fromMe": true,
      "id": "<string>"
    }
  ]
}
'
{
  "message": "Read messages",
  "read": "success"
}

Documentation Index

Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Name of the instance

Body

application/json
readMessages
object[]
required

Messages to be mark as read

Response

201 - application/json

Created

message
string

A brief message describing the action performed.

read
string

The status of the read action.